# $Revision: 1.39 $, $Date: 2005/01/06 22:20:17 $
Summary:	Basic TeX/LaTeX support
Summary(pl):	Podstawowe wsparcie dla TeXa/LaTeXa
Name:		xemacs-auctex-pkg
%define 	srcname	auctex
Version:	11.53
Release:	4
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.gnu.org/pub/gnu/auctex/%{srcname}-%{version}.tar.gz
# Source0-md5:	938ba7debc040c6bdb6d891706d17dcc
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/auctex/
BuildRequires:	texinfo
BuildRequires:	xemacs
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs and XEmacs.

AUC TeX lets you run TeX/LaTeX and other LaTeX-related tools, such as
a output filters or post processor from inside [X]Emacs. Especially
"Running LaTeX" is interesting, as AUC TeX lets you browse through the
errors TeX reported, while it moves the cursor directly to the
reported error, and displays some documentation for that particular
error. This will even work when the document is spread over several
files.

AUC TeX automatically indents your "LaTeX-source", not only as you
write it -- you can also let it indent and format an entire document.
It has a special outline feature, which can greatly help you getting
an overview of a document.

Apart from these special features, AUC TeX provides a large range of
handy [X]Emacs macros, which in several different ways can help you
write your LaTeX documents fast and painlessly.

%description -l pl
AUC TeX jest kompletnym i konfigurowalnym rodowiskiem edycji plikw
rdowych LaTeXa, dostpnym w programach GNU Emacs i XEmacs.

AUC TeX umoliwia uruchamianie narzdzi pakietu TeX/LaTeX i innych,
takich jak konwertery czy filtry z wewntrz programu [X]Emacs.
Szczeglnie interesujca jest opcja "Running LaTeX", poniewa pozwala
ona przeglda wiadomoci o bdach w plikach rdowych, przesuwa
kursor od razu w miejsce wystpienia bdu i czyta pliki dokumentacji
dotyczce tego bdu. Funkcja dziaa poprawnie nawet dla dokumentw
skadajcych si z kilku plikw rdowych.

AUC TeX w sposb automatyczny formatuje plik rdowy LaTeXa, zarwno
na bieco jak i po wpisaniu. Posiada specjaln funkcj "zarysu
dokumentu", ktra wydatnie pomaga przeglda dokumenty.

Poza powyszymi specjaami, AUC TeX dostarcza wiele uytecznych makr,
pomocnych w szybkiej i bezbolesnej edycji dokumentw LaTeXa.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
%configure \
	--with-xemacs \
	--with-lispdir=%{_datadir}/xemacs-packages/lisp \
	--with-packagedir=%{_datadir}/xemacs-packages \
	--with-tex-input-dir="%{_datadir}/texmf/tex;%{_datadir}/texmf/bibtex/bst"
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README ChangeLog CHANGES
%dir %{_datadir}/xemacs-packages/lisp/auctex
%{_datadir}/xemacs-packages/lisp/auctex/*.el*
%dir %{_datadir}/xemacs-packages/lisp/auctex/style
%{_datadir}/xemacs-packages/lisp/auctex/style/*.el*
%{_datadir}/xemacs-packages/lisp/tex-site.el
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-auctex-pkg.spec,v $
Revision 1.39  2005/01/06 22:20:17  qboosh
- more fixes in info patch (builds now); release 4

Revision 1.38  2005/01/05 22:22:04  qboosh
- typo in revert, release 3

Revision 1.37  2005/01/05 22:14:07  qboosh
- release 2 to rebuild without info/dir.gz

Revision 1.36  2004/12/13 19:08:21  roman
- revert makeinstall change

Revision 1.35  2004/12/12 13:25:10  roman
- chadged %{__make} install to %{makeinstall}

Revision 1.34  2004/11/18 23:54:39  qboosh
- cleanup/unifications

Revision 1.33  2004/11/14 12:39:33  roman
- s/make/%{__make}

Revision 1.32  2004/11/14 12:34:55  roman
- upgraded to version 11.53
- release 1
- switched on filename completion
- added CHANGES to docs (more userfriendly than Changelog)
- added Buildrequires: texinfo
- updated xemacs-auctex-pkg-info.patch
- STBR

Revision 1.31  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.30  2003/11/26 17:46:05  speedy
- updated to 10.0g

Revision 1.29  2003/11/09 01:58:29  qboosh
- updated URLs, missing dir

Revision 1.28  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.27  2003/08/28 08:29:13  ankry
- s/TeX-a/TeXa/ i podobne

Revision 1.26  2003/05/28 13:03:04  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:28:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.23  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.22  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.21  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:15:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/02 00:51:22  kloczek
- release 3.

Revision 1.17  2001/09/18 21:28:08  blues
- added xemacs to buildrequires

Revision 1.16  2001/08/20 21:03:37  kloczek
- release 2: spec adapterized.

Revision 1.15  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/05/28 12:58:13  roman
- added Polish %description
- corrected a few typos

Revision 1.12  2001/05/16 00:12:30  kloczek
- spec adapterized,
- added %description (based on README),
- added correct URL,
- some cosmetics.
NOTE: lack %description -l pl.

Revision 1.11  2000/10/27 11:04:28  klakier
- new auctex, new spec

Revision 1.10  2000/10/27 09:38:46  klakier
- added tex-site.el (it has no .elc file and it was not included)

Revision 1.9  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.8  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.7  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.6  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.3  2000/03/27 16:25:45  klakier
- added info patches

Revision 1.2  2000/02/07 22:37:28  klakier
- some fixes

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
